*{
  font-family: "Share Tech", sans-serif;
  font-weight: 400;
  font-style: normal;
}
body{
  margin: 0;
  padding: 0;
  background-color: rgb(0, 0, 0);
}
header{
  background-color: rgb(219, 219, 219);
  height: 25px;
  border-bottom: 3px solid #000000;
  display: flex;
  justify-content: space-between;
  align-items: center;
  padding: 20px 50px;
}
header h1{
  font-weight: bold;
}
nav{
    display: flex;
    gap: 30px;
}
nav a{
    
    color: rgb(0, 0, 0);
    font-size: 18px;
    font-weight: bold;

    transition: 0.3s;
}

a{
  text-decoration: none;
  color: inherit;
  color: azure;
}
#interface{
  display: flex;
  flex-direction: column;
}
.intro h1{
  margin-left: 15%;
  margin-top: 0;
  margin-bottom: 0;
  font-family: "Oswald", sans-serif;
  color: #EAEAEA;
  font-weight: bold;
    
}
.top{
  display: flex;
  justify-content: space-around;
  align-items: center;
  position: relative;
  height: 500px;
  width: 100%;
  overflow: hidden;
  background: linear-gradient(270deg, #000000, #4753ff7c, #000);
  background-size: 400% 400%;
  animation: gradientWave 30s ease-in-out infinite;
  border: 2px solid black;
}
.apresentacao-left{
  width: 550px;
  border-bottom: 3px solid #6a74ff;
  padding-bottom: 10px;
  
}
.linguagens-imagens img{
  width: 100px;
  height: auto;
  margin: 20px;
  transition: 1s;
}
.linguagens-imagens img:hover{
  scale: calc(1.2);
  transition: 1s;
}
.meio{
  display: flex;
  justify-content: space-around;
  flex-direction: column;
  align-items: center;
  height: 500px;
  width: 100%;
  background-color: #1c1c1c;
}
.meio h2{
  color: #EAEAEA;
  font-family: "Oswald", sans-serif;
  color: #EAEAEA;
  font-weight: bold;
}
.projetos{
    display: flex;
    flex-direction: column;

    gap: 20px;

    width: 300px;
}

.projetos a{
    text-decoration: none;

    color: white;

    background: #4753ff;

    padding: 15px;

    border-radius: 12px;

    transition: 0.3s;
}

.projetos a:hover{
    transform: scale(1.03);
}
@keyframes gradientWave {
  0% {
    background-position: 0% 50%;
  }
  50% {
    background-position: 100% 50%;
  }
  100% {
    background-position: 0% 50%;
  }
}